#!/usr/bin/perl
# $Id: addam.pl,v 1.13 2001/06/13 17:40:26 will Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.
# 
# ActiveMonitor._CREATE handler
# author: Tim Hockin (based on work by Jonathan Mayer <jmayer@cobalt.com>)
#
# generates the following i18n messages:
#		alreadyMadeAM

use strict;
use Sauce::Util;
use FileHandle;
use CCE;

my $cce = new CCE;
$cce->connectfd();

# retreive user object data:
my $oid = $cce->event_oid();
my $amobj = $cce->event_object();

my $enabled = $amobj->{enabled} ? 'true' : 'false';
my $maillist = $amobj->{alertEmailList} || '';
my @mla = $cce->scalar_to_array($maillist);
$maillist = join(', ', @mla);

##########################################################################
# error checking
##########################################################################

# See if an AM obj exists
my (@amoid) = $cce->find('ActiveMonitor');

if ($#amoid >= 1) {
    $cce->warn('[[base-am.alreadyMadeAM]]');
    $cce->bye('FAIL');
    exit 1;
}


##########################################################################
# Add the AM config
##########################################################################

my $fun = sub {
    my ($fin, $fout) = (shift, shift);
    print $fout "enabled = $enabled\n";
    print $fout "lock_file = /var/lock/swatch.lock\n";
    print $fout "email_list = $maillist\n";
    return 1;
}; 

my $ok = Sauce::Util::editfile("/etc/swatch.conf", $fun);
if ($ok) {
	$cce->bye('SUCCESS');
	exit(0);
} else {
	$cce->bye('FAIL');
	exit(1);
}
