#!/usr/bin/perl -w -I/usr/sausalito/perl -I.
# $Id: am_enabled.pl,v 1.7 2001/06/13 17:40:28 will Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.
# 
# ActiveMonitor.*.enabled handler
# author: Tim Hockin (based on work by Jonathan Mayer <jmayer@cobalt.com>)
#
use strict;
use CCE;

my $cce = new CCE;
$cce->connectfd();

# retreive object data:
my $oid = $cce->event_oid();
my $ns = $cce->event_namespace();
my ($ok, $newobj, $oldobj) = $cce->get($oid, $ns);

my ($olden, $newen, $oldmon, $newmon);
$olden = $oldobj->{enabled} ? 1 : 0;
$newen = $newobj->{enabled} ? 1 : 0;
$oldmon = $oldobj->{monitor} ? 1 : 0;
$newmon = $newobj->{monitor} ? 1 : 0;

# only set on a real change of boolean value, not just string value
if (!($olden eq $newen) || !($oldmon eq $newmon)) {
	# since we have changed a monitoring state - blank out state data
	($ok) = $cce->set($oid, $ns, { 
		currentState => 'N',
		currentMessage => '',
		lastChange => time()});
	if (!$ok) {
		$cce-bye('FAIL');
	}
}

$cce->bye('SUCCESS');
exit(0);
