#!/usr/bin/perl
# $Id: modam.pl,v 1.11 2001/06/13 17:40:28 will Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.
# 
# ActiveMonitor.* modify handler
# author: Tim Hockin (hacked from Jonathan Mayer <jmayer@cobalt.com>)
#

use strict;
use Sauce::Util;
use CCE;

my $cce = new CCE;
$cce->connectfd();

# retreive am object data:
my $oid = $cce->event_oid();
my $amobj = $cce->event_object();
my $new = $cce->event_new();
my $old = $cce->event_old();

##########################################################################
# actuate changes
##########################################################################
my $enabled = $amobj->{enabled} ? 'true' : 'false';
my $maillist = $amobj->{alertEmailList} || '';
my @mla = $cce->scalar_to_array($maillist);
$maillist = join(', ', @mla);

my $fun = sub {
	my ($fin, $fout) = (shift, shift);

	while (defined($_ = <$fin>)) {
		# setup the swatch process
		s/^\s*enabled\s*=.*$/enabled = $enabled/;
		s/^\s*email_list\s*=.*$/email_list = $maillist/;
		print $fout $_;
	}
	return 1;
};

my $ok = Sauce::Util::editfile('/etc/swatch.conf', $fun);
if ($ok) {
	$cce->bye('SUCCESS');
	exit(0);
} else {
	$cce->bye('FAIL');
	exit(1);
}

